<div *ngIf="hero">
    <h2>{{hero.name | uppercase}} Details</h2>
    <div><span>id: </span>{{hero.id}}</div>
    <div>
      <label for="hero-name">Hero name: </label>
      <input id="hero-name" [(ngModel)]="hero.name" placeholder="name">
    </div>
    <button (click)="goBack()">go back</button>
      <button (click)="addToBestTeam()" *ngIf="!favorite">Favorite</button>
      <button (click)="removeFromBestTeam()" *ngIf="favorite">UnFavorite</button>
</div>